Broadcom NetXtreme II BCM5708 not detected on install

Bug #73647 reported by James Troup on 2006-11-28
30
Affects Status Importance Assigned to Milestone
linux-source-2.6.15 (Ubuntu)
Undecided
Ben Collins
linux-source-2.6.17 (Ubuntu)
Undecided
Unassigned

Bug Description

I've just tried installing edgy on a HP ML370 G5 and it failed to detect the network card, which, according to lspci, is:

Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet (rev 11)
(1434:164c / 103c:7038)

The kernel guys reckon the bnx2 module should support this, but it doesn't appear to be on the server CD.

James Troup (elmo) wrote :

Just to confirm that the network card is detected and supported just fine on the installed system - the problem simply appears to be that bnx2 isn't in the (right) kernel module udeb.

Kyle McMartin (kyle) wrote :

[Dapper is also effected.]

I've added bnx2 to nic-modules on both dapper and edgy kernels.

Cheers,
 Kyle

Changed in linux-source-2.6.17:
status: Unconfirmed → Fix Committed
Changed in linux-source-2.6.15:
status: Unconfirmed → Fix Committed
Paul Sladen (sladen) wrote :

Excellent news; I was trying to install on a G5 a month ago!

Hi Kyle

We want to install Ubuntu over the network onto the IBM x3550 which requires the bnx2 drivers. These drivers are not available in the 6.06 LTS netboot image.

Hence, I am looking for a way of including the bnx2 kernel module in the netboot initrd.gz. I would expect that this module would either:

- be built already and available through some other package which I have not yet found

or

- possible to build using the 2.6.15 kernel source using a specific kernel configuration file which I also have not yet found.

I would dearly appreciate any direction on this matter.

William Oakley (woakley) wrote :

Obviously, this is related to the latest dapper netboot image which I could find:

http://archive.ubuntu.com/ubuntu/dists/dapper/main/installer-i386/current/images/netboot/

kind regards

- William

William Oakley (woakley) wrote :

I have also checked the linux-source-2.6.15_2.6.15-23.39_all.deb package and the bnx2.c and bnx2.h c files are there in the source.

Hence, all that is required is a configuration file for the netboot kernel.

Martin Pitt (pitti) wrote :

Seems that Kyle already prepared the fix, this is an excellent target for the dapper point release.

Changed in linux-source-2.6.15:
assignee: nobody → kyle
status: Fix Committed → In Progress
Martin Pitt (pitti) wrote :

One-liner fix.

Gustavo Noronha Silva (kov) wrote :

Is a fix for this already uploaded somewhere? We have this problem in several of our servers running Dapper LTS here where I work, and we had some downtime for this reason already (people upgraded the kernel and the network module which we installed manually was not accordingly reinstalled). We searched the backports for a package, as well, with no success.

This problem is also valid for Ubuntu 6.06.1 on a large range of HP Proliant DL3xx Servers. I tested a DL380 G5 which provides the same NIC. The following Servers should use this chipset (HP calls it NC373i and NC371i)
* HP Proliant 360 G5
* HP Proliant 365 G1
* HP Proliant 380 G5
* HP Proliant 385 G2

Changed in linux-source-2.6.15:
assignee: kyle → ben-collins
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

linux-source-2.6.15 (2.6.15-51.63) dapper-proposed; urgency=low

  * Fix kernel-versions for ABI bump
  * Fix for kernel crash on lvremove
    - LP: #103729
  * e1000: Disable MSI by default. Allow it to be enabled with module param.
    Some chip implementations seem to not work well with MSI.
    - LP: #56885
  * tg3: Backport from 2.6.16.y
    - LP: #72696
  * Add r1000 to nic-modules
    - LP: #81782
  * Add bnx2 to nic-modules
    - LP: #73647
  * usb-serial: Fix oops with pilot-link
    - LP: #39518
  * megaraid: Move AMI/Megaraid3 IDs from megaraid_mbox.ko to megaraid.ko
    - LP: #57233

 -- Ben Collins <email address hidden> Tue, 23 Oct 2007 16:57:09 -0400

Please test and give feedback here.

Martin Pitt (pitti) wrote :

We won't fix this for edgy.

Changed in linux-source-2.6.17:
status: Fix Committed → Won't Fix
Martin Pitt (pitti) wrote :

This was tested with the current 6.06.2 candidate CDs and works now. verification-done.

Martin Pitt (pitti) wrote :

Kernel is in -updates now.

Changed in linux-source-2.6.15:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers